#!/bin/bash
set -e

upload='--noupload' # default
config='/storage/app/EWS_prod/regions/EastAfrica/resources/coordinator/configs/config_EastAfrica_fc_live.json' # default
rundate=$(date '+%Y%m%d') # default today

SHORT=p:,c:,s:,h
LONG=component:,config:,rundate::,help
OPTS=$(getopt -a -n weather --options $SHORT --longoptions $LONG -- "$@")

eval set -- "$OPTS"

while :
do
  case "$1" in
    -p | --component )
      component="$2"
      shift 2
      ;;
    -c | --config )
      config="$2"
      shift 2
      ;;
    -s | --rundate )
      rundate="$2"
      shift 2
      ;;
    -h | --help)
      "This is a launch script, example usage: runDockerEWS.sh -p Deposition -c -c /<path>/config_EastAfrica_fc_live.json -s 20220808"
      exit 2
      ;;
    --)
      shift;
      break
      ;;
    *)
      echo "Unexpected option: $1"
      ;;
  esac
done



function run_coordinator() {
    printf "component: %s\nconfig: %s\nrundate: %s\nupload: %s\n" $component $config $rundate $upload;
    docker container ls;
    docker exec \
    ews_runner \
    /storage/app/EWS_prod/code/coordinator/run_Processor.sh \
    -p $component \
    -c $config \
    -s $rundate \
    $upload
}

run_coordinator
